# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "qrate"
version = "0.11.2"
authors = ["PARK Youngho"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A examination generator library that generates different quiz sets for all students so that each student may have a different quiz set from the quiz sets of the others."
readme = "README.md"
keywords = [
    "quiz",
    "bank",
    "examination",
    "question",
    "teacher",
]
categories = [
    "algorithms",
    "data-structures",
    "database",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/piaoyh/qrate"

[package.metadata.docs.rs]
targets = [
    "x86_64-unknown-linux-gnu",
    "x86_64-apple-darwin",
    "x86_64-pc-windows-msvc",
    "i686-unknown-linux-gnu",
    "i686-pc-windows-msvc",
]

[lib]
name = "qrate"
path = "src/lib.rs"

[[example]]
name = "conversion"
path = "examples/conversion.rs"

[[example]]
name = "prep"
path = "examples/prep.rs"

[[example]]
name = "store"
path = "examples/store.rs"

[dependencies.cryptocol]
version = "0.19"

[dependencies.docx-rs]
version = "0.4"

[dependencies.rusqlite]
version = "0.40"
features = [
    "bundled",
    "serialize",
    "backup",
]

[dependencies.serde_json]
version = "1.0"

[target.'cfg(not(any(target_arch = "wasm32", target_arch = "wasm64")))'.dependencies.calamine]
version = "0.35"

[target.'cfg(not(any(target_arch = "wasm32", target_arch = "wasm64")))'.dependencies.genpdfi]
version = "0.2.7"

[target.'cfg(not(any(target_arch = "wasm32", target_arch = "wasm64")))'.dependencies.hwpers]
version = "0.5"

[target.'cfg(not(any(target_arch = "wasm32", target_arch = "wasm64")))'.dependencies.rust_xlsxwriter]
version = "0.95"

[profile.dev]
incremental = false
